using System;

internal sealed class Delegate541 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate541 delegate541_1)
	{
		return delegate541_1(object_0);
	}

	public extern Delegate541(object object_0, IntPtr intptr_0);

	static Delegate541()
	{
		Class10.smethod_13(typeof(Delegate541).TypeHandle);
	}

	internal static Delegate541 delegate541_0;
}
